Bug 98599 - xterm menus corrupt since tgsi/scan: handle indirect image indexing correctly
Summary: xterm menus corrupt since tgsi/scan: handle indirect image indexing correctly
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-05 13:59 UTC by Andy Furniss
Modified: 2016-11-08 16:57 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
xterm menu bad rendering (22.70 KB, image/png)
2016-11-05 16:40 UTC, Andy Furniss
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Furniss 2016-11-05 13:59:10 UTC
Only just noticed this as I don't usually use xterm menus (control mouse button).

The menus since below are top 1/3 OK bottom 2/3 black.

Setup is R9285 tonga, xserver 1.18.4, git heads xf86-video-amdgpu, llvm and mesa.

Desktop is fluxbox, xterm 322.

commit d89890d000da36c51484ee170b2d9727d2766a93
Author: Marek Olšák <marek.olsak@amd.com>
Date:   Sun Oct 9 19:21:33 2016 +0200

    tgsi/scan: handle indirect image indexing correctly
Comment 1 Marek Olšák 2016-11-05 15:51:04 UTC
The X server doesn't use shader images, so I think the bisection went wrong. The X server should be restarted for every bisection step.
Comment 2 Ilia Mirkin 2016-11-05 15:53:22 UTC
(In reply to Marek Olšák from comment #1)
> The X server doesn't use shader images, so I think the bisection went wrong.
> The X server should be restarted for every bisection step.

It probably does via GLAMOR + PBO's I would assume.
Comment 3 Andy Furniss 2016-11-05 16:09:57 UTC
(In reply to Marek Olšák from comment #1)
> The X server doesn't use shader images, so I think the bisection went wrong.
> The X server should be restarted for every bisection step.

It seemed like a clean bisect - I did restart X every step.

It doesn't revert from head though, so I couldn't confirm with that.

Also tested with llvm a bit off head (as I have a bug open for head), but it made no difference.

Will re-check later.
Comment 4 Andy Furniss 2016-11-05 16:40:46 UTC
Created attachment 127792 [details]
xterm menu bad rendering

So I rechecked by reset --hard onto bad and then the one before and the one before is OK.

Attaching what bad looks like.

This is not straight forward though, as by chance when testing, SWMBO turned the TV on, which meant when I restarted X I had 2 outputs enabled. Like this I can't see the issue. Turning off the hdmi with xrandr made the bad rendering come back.
Comment 5 Marek Olšák 2016-11-05 17:15:44 UTC
Thanks. I see the problem.
Comment 6 Andy Furniss 2016-11-07 22:31:17 UTC
The patches on mesa-dev fix for me, thanks.
Comment 7 Marek Olšák 2016-11-08 16:57:28 UTC
Fixed by f864547fa92262f4b2c65a047210ee41e5b45e9a. Closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.